newton_search.h File Reference

Newton Search optimization algorithms - header file. More...

`#include <itpp/base/vec.h>`
`#include <itpp/base/array.h>`
`#include <limits>`
`#include <itpp/itexports.h>`
`#include <itpp/base/base_exports.h>`

Go to the source code of this file.

## Classes

class | itpp::Newton_Search
| Newton Search. More...
class | itpp::Line_Search
| Line Search. More...

## Namespaces

namespace | itpp
| itpp namespace

## Enumerations

enum | itpp::Newton_Search_Method { BFGS }
| Newton Search method. More...
enum | itpp::Line_Search_Method { Soft , Exact }
| Line Search method. More...

## Functions

vec | itpp::fminunc (double(*function)(const vec &), vec(*gradient)(const vec &), const vec &x0)
| Unconstrained minimization.

## Detailed Description

Newton Search optimization algorithms - header file.

Author
  Tony Ottosson

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file newton_search.h.

Generated on Mon Jun 10 2024 11:49:27 for IT++ by Doxygen 1.9.8